# PetscViewerRestoreSingleton

Restores a new PetscViewer obtained with PetscViewerGetSingleton().

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PETSC_DLLEXPORT PetscViewerRestoreSingleton(PetscViewer viewer,PetscViewer *outviewer)

Collective on PetscViewer

### Input Parameters

| viewer | - the PetscViewer to be duplicated
| outviewer | - new PetscViewer

Notes: Call PetscViewerGetSingleton() to get this PetscViewer, NOT PetscViewerCreate()

### See Also

PetscViewerSocketOpen(), PetscViewerASCIIOpen(), PetscViewerDrawOpen(), PetscViewerGetSingleton()

Level:advanced
Location: src/sys/viewer/interface/dupl.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages